import Welcome from '../components/pages/Welcome'
import Dashboard from '../components/pages/Dashboard'
import ContainersList from '../components/pages/ContainersList'
import RequestsList from '../components/pages/RequestsList'
import TasksList from '../components/pages/TasksList'
import UsersList from '../components/pages/UsersList'
import PermissionsList from '../components/pages/PermissionsList'
import About from '../components/pages/About'

const routes = [
    {
        path: '/',
        component: Welcome,
        title: 'Inicio',
        exact: true
    },
    {
        path: '/dashboard',
        component: Dashboard,
        title: 'Dashboard',
    },
    {
        path: '/containers',
        component: ContainersList,
        title: 'Contenedores'
    },
    {
        path: '/requests',
        component: RequestsList,
        title: 'Solicitudes'
    },
    {
        path: '/tasks',
        component: TasksList,
        title: 'Tareas Automatizadas'
    },
    {
        path: '/users',
        component: UsersList,
        title: 'Usuarios'
    },
    {
        path: '/permissions',
        component: PermissionsList,
        title: 'Permisos'
    },
    {
        path: '/about',
        component: About,
        title: 'Acerca de'
    },
    // {
    //     component: Page404,
    //     title: 'Recurso no encontrado'
    // }
]

export default routes