/**
 * 
 * @param {*} type 
 * @param {*} args 
 */
export const makeActionCreator = (type, ...argsNames) => {
    return (...args) => {
        let action = { type }

        argsNames.forEach((arg, index) => {
            action[argsNames[index]] = args[index]
        })

        return action
    }
}