import { has } from 'lodash'

/**
 * 
 * @param {*} initialState 
 * @param {*} payload 
 */
export const createReducer = (initialState, handlers) => {
    return (state = initialState, action) => {
        return has(handlers, action.type) ? handlers[action.type](state, action) : state
    }
}
